package com.qmth.boot.core.concurrent.exception;

import com.qmth.boot.core.exception.ReentrantException;

/**
 * 使用自定义锁注解上锁失败抛出的异常
 */
public class TryLockFaileException extends ReentrantException {

    private static final long serialVersionUID = -7763869249567752648L;

    public TryLockFaileException(String message) {
        super(message);
    }

    public TryLockFaileException(String message, Throwable t) {
        super(message, t);
    }
}
